k0rdent AI Docs

Update instance

Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )

Update instance metadata and configuration.

PATCH
/v1/regions/{region}/projects/{project}/compute/instances/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

region*string

Region identifier

project*string

Project identifier

id*string

Unique instance identifier

Request Body

application/json

displayName?string

Updated human-friendly display name for the instance.

description?string

Updated description of this resource.

labels?

Labels to apply to this resource.

instanceMetadata?

Instance metadata assigned to this instance, exposed via metadata service.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/instances/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/instances/instance-d4e5f6",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "instance-d4e5f6",
  "displayName": "string",
  "description": "string",
  "labels": {
    "property1": "string",
    "property2": "string"
  },
  "type": "/v1/regions/us-texas-1/zones/us1-a/instance-types/g1-xlarge",
  "instanceMetadata": [
    {
      "key": "ssh-keys",
      "value": "admin:ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJeaD1heScpzmiypsUSb0T3lkmg2d/onGkPviaZ2Rtgc admin@hostname\nguest:ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBYgtXDI3X7eELjQ+D+qbJGqgfa+OqvY7jo/EuLv1ECd guest@hostname\n"
    }
  ],
  "hostname": "string",
  "lifecycle": {
    "status": "PROVISIONING",
    "statusMessage": "string"
  },
  "disks": [
    {
      "sizeGb": 0,
      "interface": "SCSI",
      "source": "/v1/regions/us-texas-1/compute/images/ubuntu-24.04-20260202-3",
      "boot": true,
      "type": "PERSISTENT",
      "mode": "READ_ONLY"
    }
  ],
  "nics": [
    {
      "network": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/networks/network-g7h8i9",
      "subnet": "http://example.com",
      "ipv4Address": "string",
      "ipv6Address": "string",
      "vlan": 0
    }
  ],
  "gpus": [
    {
      "type": "http://example.com",
      "count": 0
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings